# Interface TwinfinityCameraBehavior

Classes that implement this interface will be able to be handled as a behavior by the viewer camera. For example see TwinfinityPostProcess.

interface TwinfinityCameraBehavior {
attach: (camera: Camera) => boolean;
detach: (camera: Camera) => boolean;
}

#### Implemented by

- DitherBlurPipeline
- OutlinePipeline
- SSAOPipeline
- TwinfinityPostProcess

##### Index

### Properties

attach
detach

## Properties

### attach

attach: (camera: Camera) => boolean

Attaches this behavior to the specified camera.

#### Type declaration

- - (camera: Camera): boolean

  - #### Parameters

    - camera: Camera

      The camera to attach the behavior to.

    #### Returns boolean

    true if the behavior was successfully attached to the camera, otherwise false.

### detach

detach: (camera: Camera) => boolean

Detaches this behavior from the specified camera.

#### Type declaration

- - (camera: Camera): boolean

  - #### Parameters

    - camera: Camera

      The camera to detach this behavior from.

    #### Returns boolean

    true if the behavior was successfully detached from the camera, otherwise false.